Skip to main content
GET
/
crypto-addresses
Get Crypto Addresses
curl --request GET \
  --url https://api.copper.co/platform/crypto-addresses
import requests

url = "https://api.copper.co/platform/crypto-addresses"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.copper.co/platform/crypto-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cryptoAddresses": [
    {
      "address": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "cryptoAddressId": "<string>",
      "currency": "<string>",
      "isWhitelist": true,
      "name": "<string>",
      "_embedded": {
        "currencyConfigurations": [
          {
            "createdAt": "<string>",
            "createdBy": "<string>",
            "cryptoAddressId": "<string>",
            "currency": "<string>",
            "currencyConfigurationId": "<string>",
            "isWhitelist": true,
            "extra": {},
            "lastUsedAt": "<string>",
            "portfolioIds": [
              "<string>"
            ],
            "updatedAt": "<string>",
            "updatedBy": "<string>"
          }
        ]
      },
      "acceptTokens": true,
      "addressTags": [],
      "extra": {},
      "lastUsedAt": "<string>",
      "mainCurrency": "<string>",
      "memo": "<string>",
      "organizationId": "<string>",
      "portfolioIds": [
        "<string>"
      ],
      "updatedAt": "<string>",
      "updatedBy": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Query Parameters

cryptoAddressIds
string[]

Filter by crypto address ids

currencies
string[]

Filter by currencies

mainCurrencies
string[]

Filter by main currencies

addressTags
enum<string>[]

Filter by address tags

addresses
string[]

Filter by addresses

memo
string

Filter by memo

limit
string
default:500

Limit for pagination

offset
string

Offset for pagination

isWhitelist
boolean
default:false

Filter only whitelisted addresses

addressTypes
enum<string>[]

Filter by address types. See details

Available options:
externally-owned-account,
internal-account,
smart-contract,
payable-smart-contract

Response

OK

cryptoAddresses
object[]
required

List of crypto addresses